local addonInfo, privateVars = ...

if EnKai.tools.lang.getLanguage() == "German" then
 
	privateVars.langTexts = {
		msgAddonLoaded = 'V%s geladen',			
	}
	
	privateVars.langTexts.ui = {
		lblSearch = 'Suchtext',
		tabSearch = 'Datenbank',
		selFilterAll = 'Alle Einträge',
		selFilter10 = '10 Upgrades',
		selFilter20 = '20 Upgrades',
		selFilter50 = '50 Upgrades',
		updateDate = 'Letzter Update der Daten: %s',
		btClose = 'Schliessen',
		cbExclDPS = 'DPS nicht bewerten',
		cbRatingDisplay = 'Zeige Differenz',
	}
	
	privateVars.langTexts.grid = {
		headerName = 'NAME',
		headerRating = 'WERT',
		headerDPS = 'SPS',
		headerArmor = 'RÜST',
		headerEndurance = 'AUS',
		headerAgility = 'GES',
		headerStrength = 'STÄ',
		headerDodge = 'AUSW',
		headerParry = 'PAR',
		headerHit = 'TREF',
		headerAttackPower = 'AGK',
		headerCrit = 'KRIT',
		headerCritPower = 'KKRAFT',
		headerToughness = 'HÄRT',
		headerSpellPower = 'ZK',
		headerSpellCrit = 'ZTREF',
		headerFocus = 'FOK',
		headerBlock = 'BLK',
		headerIntelligence = 'INT',
		headerWisdom = 'WEIS',
		headerResiAll = 'W-ALLE',
		headerResiEarth = 'W-E',
		headerResiFire = 'W-F',
		headerResiLife = 'W-LE',
		headerResiAir = 'W-LU',
		headerResiDeath = 'W-T',
		headerResiWater = 'W-W',
		headerDeflect = 'ABW',
	}
	
	privateVars.langTexts.selSlots = {
		selCape = 'Umhang',
		selBelt = 'Gürtel',
		selChest = 'Brust',
		selFeet = 'Füsse',
		selGloves = 'Handschuhe',
		selEssenceLesser = 'Geringe Essenz',
		selEssenceGreater = 'Grosse Essenz',
		selNeck = 'Hals',
		selRing = 'Ring',
		selMainhand = 'Haupthand',
		selOneHand = '1h Waffe',
		selTwoHand = '2h Waffe',
		sel2hHammer = '2h Waffe - Hammer',
		selStaff = '2h Waffe - Stab',
		selOffhand = 'Nebenhand',
		selHelmet = 'Helm',
		selShoulders = 'Schultern',
		selRanged = 'Fernkampf',
		selWand = 'Zauberstab',
		selShield = 'Schild',
		selLegs = 'Beine',
		selTrinket = 'Zubehör',
		selRunes = 'Runen',
		selSeal = 'Siegel',
		selEarring = 'Ohrring'
	}
	
	
end