local addonInfo, privateVars = ...

nkAM_Search.ressources = {

	contents = {rogue = {	weapon	= {'dps', 'endu', 'dex', 'str', 'dodge', 'parry', 'defl', 'hit', 'atp', 'crit', 'cp'},
							armor	= {'armor', 'endu', 'dex', 'str', 'dodge', 'parry', 'defl', 'hit', 'atp', 'crit', 'cp', 'tough'},
							essence = {'endu', 'dex', 'str', 'dodge', 'parry', 'defl', 'atp', 'crit', 'cp', 'resiE', 'resiF', 'resiL', 'resiA', 'resiD', 'resiW'},
							acc		= {'endu', 'dex', 'str', 'dodge', 'parry', 'defl', 'hit', 'atp', 'crit', 'cp', 'tough', 'resiAll'}},
				warrior = {	weapon	= {'dps', 'endu', 'str', 'dex', 'dodge', 'parry', 'hit', 'block', 'atp', 'crit', 'cp'},
							armor	= {'armor', 'endu', 'str', 'dex', 'dodge', 'parry', 'block', 'hit', 'atp', 'crit', 'cp'},
							essence	= {'endu', 'str', 'dex', 'dodge', 'parry', 'block', 'atp', 'crit', 'cp', 'resiE', 'resiF', 'resiL', 'resiA', 'resiD', 'resiW'},
							acc		= {'endu', 'str', 'dex', 'dodge', 'parry', 'block', 'hit', 'atp', 'crit', 'cp', 'tough', 'resiAll'}},
				cleric = {	weapon	= {'dps', 'endu', 'wis', 'int', 'sp', 'scrit', 'cp', 'hit', 'dodge', 'parry', 'block'},
							armor	= {'armor', 'endu', 'wis', 'int', 'sp', 'scrit', 'cp', 'hit', 'dodge', 'parry', 'block', 'tough'},
							essence	= {'endu', 'wis', 'int', 'sp', 'scrit', 'cp', 'dodge', 'parry', 'block', 'resiE', 'resiF', 'resiL', 'resiA', 'resiD', 'resiW'},
							acc		= {'endu', 'endu', 'wis', 'int', 'sp', 'scrit', 'cp', 'hit', 'dodge', 'parry', 'block', 'resiAll'}},
				mage = {	weapon	= {'dps', 'endu', 'int', 'wis', 'sp', 'scrit', 'cp', 'hit'},
							armor	= {'armor', 'endu', 'int', 'wis', 'sp', 'crit', 'cp', 'hit'},
							essence	= {'endu', 'int', 'wis', 'sp', 'crit', 'cp', 'resiE', 'resiF', 'resiL', 'resiA', 'resiD', 'resiW'},
							acc		= {'endu', 'endu', 'int', 'wis', 'sp', 'scrit', 'cp', 'hit', 'resiAll'}},
				},
	headers = { dps		= privateVars.langTexts.grid.headerDPS,
				endu	= privateVars.langTexts.grid.headerEndurance,
				dex		= privateVars.langTexts.grid.headerAgility,
				str		= privateVars.langTexts.grid.headerStrength,
				dodge	= privateVars.langTexts.grid.headerDodge,
				parry	= privateVars.langTexts.grid.headerParry,
				defl	= privateVars.langTexts.grid.headerDeflect,
				hit		= privateVars.langTexts.grid.headerHit,
				atp		= privateVars.langTexts.grid.headerAttackPower,
				crit	= privateVars.langTexts.grid.headerCrit,
				cp		= privateVars.langTexts.grid.headerCritPower,
				armor	= privateVars.langTexts.grid.headerArmor,
				tough	= privateVars.langTexts.grid.headerToughness,
				resiAll = privateVars.langTexts.grid.headerResiAll,
				resiE	= privateVars.langTexts.grid.headerResiEarth,
				resiF	= privateVars.langTexts.grid.headerResiFire,
				resiL	= privateVars.langTexts.grid.headerResiLife,
				resiA	= privateVars.langTexts.grid.headerResiAir,
				resiD	= privateVars.langTexts.grid.headerResiDeath,
				resiW	= privateVars.langTexts.grid.headerResiWater,
				block	= privateVars.langTexts.grid.headerBlock,
				wis		= privateVars.langTexts.grid.headerWisdom,
				int		= privateVars.langTexts.grid.headerIntelligence,
				sp		= privateVars.langTexts.grid.headerSpellPower,
				scrit	= privateVars.langTexts.grid.headerSpellCrit
	},
	
	selection = {['rogue'] = {	{label = privateVars.langTexts.selSlots.selCape, value = 'cape'}, { label = privateVars.langTexts.selSlots.selBelt, value = 'belt'}, {label = privateVars.langTexts.selSlots.selChest, value='chest'},{value='feet',label = privateVars.langTexts.selSlots.selFeet},{value='gloves',label = privateVars.langTexts.selSlots.selGloves},{value='helmet',label = privateVars.langTexts.selSlots.selHelmet},{value='legs',label = privateVars.langTexts.selSlots.selLegs},{value='shoulders',label = privateVars.langTexts.selSlots.selShoulders},
								{label = privateVars.langTexts.selSlots.selEssenceGreater, value = 'essence:greater'}, {label = privateVars.langTexts.selSlots.selEssenceLesser, value = 'essence:lesser'}, {label = privateVars.langTexts.selSlots.selNeck, value = 'neck'}, {label = privateVars.langTexts.selSlots.selRing, value = 'ring'},
								{label = privateVars.langTexts.selSlots.selRanged, value = 'ranged:ranged_gun;ranged:ranged_bow'}, {label = privateVars.langTexts.selSlots.selOneHand, value = 'mainhand;onehand'}, {label = privateVars.langTexts.selSlots.selTrinket, value = 'trinket'}, {label = privateVars.langTexts.selSlots.selRunes, value = 'consumable:runes'},
								{label = privateVars.langTexts.selSlots.selSeal, value = 'seal'}, {label = privateVars.langTexts.selSlots.selEarring, value = 'earring'}
							},
				 ['mage'] = {	{label = privateVars.langTexts.selSlots.selCape, value = 'cape'}, {label = privateVars.langTexts.selSlots.selBelt, value = 'belt'}, {label = privateVars.langTexts.selSlots.selChest, value='chest'},{value='feet',label = privateVars.langTexts.selSlots.selFeet},{value='gloves',label = privateVars.langTexts.selSlots.selGloves},{value='helmet',label = privateVars.langTexts.selSlots.selHelmet},{value='legs',label = privateVars.langTexts.selSlots.selLegs},{value='shoulders',label = privateVars.langTexts.selSlots.selShoulders},
								{label = privateVars.langTexts.selSlots.selEssenceGreater, value = 'essence:greater'}, {label = privateVars.langTexts.selSlots.selEssenceLesser, value = 'essence:lesser'}, {label = privateVars.langTexts.selSlots.selNeck, value = 'neck'}, {label = privateVars.langTexts.selSlots.selRing, value = 'ring'}, {label = privateVars.langTexts.selSlots.selTrinket, value = 'trinket'},
								{label = privateVars.langTexts.selSlots.selWand, value = 'ranged:wand_air,wand_life,wand,wand_fire,wand_water,wand_earth'}, {label = privateVars.langTexts.selSlots.selStaff, value = 'twohanded:staff'}, {label = privateVars.langTexts.selSlots.selOffhand, value = 'offhand'}, {label = privateVars.langTexts.selSlots.selOneHand, value = 'mainhand:sword,dagger;onehanded:sword,dagger'}, {label = privateVars.langTexts.selSlots.selRunes, value = 'consumable:runes'},
								{label = privateVars.langTexts.selSlots.selSeal, value = 'seal'}, {label = privateVars.langTexts.selSlots.selEarring, value = 'earring'}
							},
				 ['cleric'] = {	{label = privateVars.langTexts.selSlots.selCape, value = 'cape'}, {label = privateVars.langTexts.selSlots.selBelt, value = 'belt'}, {label = privateVars.langTexts.selSlots.selChest, value='chest'},{value='feet',label = privateVars.langTexts.selSlots.selFeet},{value='gloves',label = privateVars.langTexts.selSlots.selGloves},{value='helmet',label = privateVars.langTexts.selSlots.selHelmet},{value='legs',label = privateVars.langTexts.selSlots.selLegs},{value='shoulders',label = privateVars.langTexts.selSlots.selShoulders},
								{label = privateVars.langTexts.selSlots.selEssenceGreater, value = 'essence:greater'}, {label = privateVars.langTexts.selSlots.selEssenceLesser, value = 'essence:lesser'}, {label = privateVars.langTexts.selSlots.selNeck, value = 'neck'}, {label = privateVars.langTexts.selSlots.selRing, value = 'ring'}, {label = privateVars.langTexts.selSlots.selTrinket, value = 'trinket'},
								{label = privateVars.langTexts.selSlots.selWand, value = 'ranged:wand_air,wand_life,wand,wand_fire,wand_water,wand_earth'},{label = privateVars.langTexts.selSlots.selTwoHand, value = 'twohanded:staff;twohanded:hammer'}, {label = privateVars.langTexts.selSlots.selStaff, value = 'twohanded:staff'}, {label = privateVars.langTexts.selSlots.sel2hHammer, value = 'twohanded:hammer'}, {label = privateVars.langTexts.selSlots.selOffhand, value = 'offhand'}, 
								{label = privateVars.langTexts.selSlots.selShield, value = 'shield'}, {label = privateVars.langTexts.selSlots.selOneHand, value = 'mainhand;onehand'}, {label = privateVars.langTexts.selSlots.selRunes, value = 'consumable:runes'},
								{label = privateVars.langTexts.selSlots.selSeal, value = 'seal'}, {label = privateVars.langTexts.selSlots.selEarring, value = 'earring'}
							},
				 ['warrior'] = {{label = privateVars.langTexts.selSlots.selCape, value = 'cape'}, {label = privateVars.langTexts.selSlots.selBelt, value = 'belt'}, {label = privateVars.langTexts.selSlots.selChest, value='chest'},{value='feet',label = privateVars.langTexts.selSlots.selFeet},{value='gloves',label = privateVars.langTexts.selSlots.selGloves},{value='helmet',label = privateVars.langTexts.selSlots.selHelmet},{value='legs',label = privateVars.langTexts.selSlots.selLegs},{value='shoulders',label = privateVars.langTexts.selSlots.selShoulders},
								{label = privateVars.langTexts.selSlots.selEssenceGreater, value = 'essence:greater'}, {label = privateVars.langTexts.selSlots.selEssenceLesser, value = 'essence:lesser'}, {label = privateVars.langTexts.selSlots.selNeck, value = 'neck'}, {label = privateVars.langTexts.selSlots.selRing, value = 'ring'}, {label = privateVars.langTexts.selSlots.selTrinket, value = 'trinket'},
								{label = privateVars.langTexts.selSlots.selRanged, value = 'ranged:ranged_gun;ranged:ranged_bow'}, {label = privateVars.langTexts.selSlots.selTwoHand, value = 'twohanded:axe;twohanded:polearm;twohanded:hammer;twohanded:sword'}, {label = privateVars.langTexts.selSlots.selShield, value = 'shield'}, {label = privateVars.langTexts.selSlots.selOneHand, value = 'mainhand;onehanded'}, {label = privateVars.langTexts.selSlots.selRunes, value = 'consumable:runes'},
								{label = privateVars.langTexts.selSlots.selSeal, value = 'seal'}, {label = privateVars.langTexts.selSlots.selEarring, value = 'earring'}
							}}
}
		