local addonInfo, privateVars = ...

if EnKai.tools.lang.getLanguage() ~= "German" and EnKai.tools.lang.getLanguage() ~= "French" then
 
	privateVars.langTexts = {
		msgAddonLoaded = 'V%s loaded',		
	}

	privateVars.langTexts.ui = {
		lblSearch = 'Search',
		tabSearch = 'item search',
		selFilterAll = 'all entries',
		selFilter10 = '10 upgrades',
		selFilter20 = '20 upgrades',
		selFilter50 = '50 upgrades',
		updateDate = 'Last update of data: %s',
		btClose = 'close',
		cbExclDPS = 'do not rate DPS',
		cbRatingDisplay = 'show difference',
	}
	
	privateVars.langTexts.grid = {
		headerName = 'NAME',
		headerRating = 'RATING',
		headerDPS = 'DPS',
		headerArmor = 'ARM',
		headerEndurance = 'END',
		headerAgility = 'DEX',
		headerStrength = 'STR',
		headerDodge = 'DOD',
		headerParry = 'PAR',
		headerHit = 'HIT',
		headerAttackPower = 'ATP',
		headerCrit = 'CRT',
		headerCritPower = 'CPOW',
		headerToughness = 'TOU',
		headerSpellPower = 'SP',
		headerSpellCrit = 'SPHT',
		headerFocus = 'FOCUS',
		headerBlock = 'BLK',
		headerIntelligence = 'INT',
		headerWisdom = 'WIS',
		headerResiAll = 'W-ALL',
		headerResiEarth = 'W-E',
		headerResiFire = 'W-F',
		headerResiLife = 'W-L',
		headerResiAir = 'W-A',
		headerResiDeath = 'W-D',
		headerResiWater = 'W-W',
		headerDeflect = 'DEFL',
	}
	
	privateVars.langTexts.selSlots = {
		selCape = 'Cape',
		selBelt = 'Belt',
		selChest = 'Chest',
		selFeet = 'Feet',
		selGloves = 'Gloves',
		selEssenceLesser = 'Essence lesser',
		selEssenceGreater = 'Essence greater',
		selNeck = 'Neck',
		selRing = 'Ring',
		selMainhand = 'Mainhand',
		selOneHand = '1h weapon',
		selTwoHand = '2h weapon',
		sel2hHammer = '2h weapon - hammer',
		selStaff = '2h weapon - staff',
		selOffhand = 'Offhand',
		selHelmet = 'Helmet',
		selShoulders = 'Shoulders',
		selRanged = 'Ranged',
		selWand = 'Wand',
		selShield = 'Shield',
		selLegs = 'Legs',
		selTrinket = 'Trinket',
		selRunes = 'Runes',		
		selSeal = 'Seal',
		selEarring = 'Earring'
	}
	
end